http://gambitcomm.local/mimic/load/{cfgFile}/{firstAgentNum}/{lastAgentNum}/{startAgentNum}Load agents in cfgFile from firstAgentNum to lastAgentNum on startAgentNum of current configuration
MIMIC agent configuration file to load
Agent number in cfgFile to start the loading
Agent number in cfgFile to end the loading
Agent number in current configuration to start placing the new agents
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://gambitcomm.local/mimic/load/{cfgFile}/{firstAgentNum}/{lastAgentNum}/{startAgentNum}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://gambitcomm.local/mimic/load/{cfgFile}/{firstAgentNum}/{lastAgentNum}/{startAgentNum}Load agents in cfgFile from firstAgentNum to lastAgentNum on startAgentNum of current configuration
MIMIC agent configuration file to load
Agent number in cfgFile to start the loading
Agent number in cfgFile to end the loading
Agent number in current configuration to start placing the new agents
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://gambitcomm.local/mimic/load/{cfgFile}/{firstAgentNum}/{lastAgentNum}/{startAgentNum}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}